@import (reference) '../Board.variables.import.less';

#project-board {
  .project-panel {
    position: absolute;
    background-color: @black;//@salmon;
    color: #fff;
    left: @sidebarWidth - ( @contentWidth - @contentHandleWidth );
    top: 0;
    bottom: 0;
    width: @contentWidth;
    z-index: 1;
    border-right: 1px solid @darkerBackground;

    transform: translate3d(0,0,0);
    transition: left 0.5s;

    &.hidden {
      left: -( @contentWidth );
    }

    h2 {
      font-size: 4rem;
      font-weight: 300;
    }

    h3 {
      font-size: 2rem;
      font-weight: 300;
    }

    .panel-scroller {
      position: absolute;
      top: 0;
      bottom: 0;
      left: 0;
      right: @contentHandleWidth;
      overflow-x: hidden;
      overflow-y: auto;
      .panel-content {
        padding: 2em;
      }
    }

    .handle {
      position: absolute;
      width: @contentHandleWidth;
      top: 0;
      bottom: 0;
      right: 0;
      cursor: e-resize;
      background-color: rgba(0, 0, 0, 0.05);
      transition: background-color 250ms;
      &:hover {
        background-color: @salmon;//rgba(0, 0, 0, 0.1);
      }
      .icon {
        position: absolute;
        left: 2px;
      }
    }

    &.opened:not(.hidden) {
      left: @sidebarWidth;
      .handle {
        cursor: w-resize;
      }
    }
  }
}